<?php
/**
 * The file that defines the bulk print admin area
 *
 * public-facing side of the site and the admin area.
 *
 * @link       https://sharabindu.com
 * @since      1.2.1
 *
 * @package    product-barcode-generator
 * @subpackage product-barcode-generator/admin
 */

class Pbarcode_Generator
{

    public function __construct()
    {
        add_action('admin_init', array(
            $this,
            'qcr__print_setting'
        ));

    }

    function qcr__print_setting()
    {
       include PBARGENERATOR_PATH.'/admin/extenstion/registerSetting.php';

    }

           public function pbarcode_width()
           {

               $options = get_option('pbarginerator_print_option');
               $options_rang_value = isset($options['pbarcode_width']) ? $options['pbarcode_width'] : '2';

               printf('<span id="prdemoslider1"></span>
                 <input type="range" name="pbarginerator_print_option[pbarcode_width]" value="%s" min="1" max="4" class="slider" id="pbarcode_width">', $options_rang_value);
               printf('<p class="whmc_description" >Barcode Width %s to %s  default:"2"</p>', '2', '4');

           }   


            public function pbar_title_font()
           {

               $options = get_option('pbarginerator_print_option');

               $pbar_title_font = isset($options['pbar_title_font']) ? $options['pbar_title_font'] : '11'; 

               $pbar_price_font = isset($options['pbar_price_font']) ? $options['pbar_price_font'] : '11';

               printf('<ul class="br_per_page"><li><strong><label  class="prbaclabel" style="margin-left:0px;display:block"> ' . esc_html__('Font Size for Title', 'product-barcode-generator') . '</label></strong><span id="prdemoslider4"></span>
                 <input type="range" name="pbarginerator_print_option[pbar_title_font]" value="%s" min="8" max="40" class="slider" id="pbar_title_font"><p>'.esc_html("Product Title Font Size, default: 11(px)","product-barcode-generator").'</p></li>', $pbar_title_font);

               printf('<li style="margin-left:20px;"><strong><label  class="prbaclabel" style="margin-left:0px;display:block"> ' . esc_html__('Font Size for Price', 'product-barcode-generator') . '</label></strong><span id="prdemoslider3"></span>
                 <input type="range" name="pbarginerator_print_option[pbar_price_font]" value="%s" min="8" max="40" class="slider" id="pbar_price_font"><p>'.esc_html("Product Title Font Size, default: 11(px)","product-barcode-generator").'</p></li></ul>', $pbar_price_font);

           }

           function qr_print_cat_type()
           {

       ?>
       <ul class="br_per_page"><li>
       <select>
           <option value="all"><?php echo esc_html__('All', 'product-barcode-generator') ?></option>
           <?php
               if (class_exists("WooCommerce"))
               {

                   $terms = get_terms(array(
                       'taxonomy' => 'product_cat',
                       'hide_empty' => true,
                   ));

                   foreach ($terms as $el_category)
                   {
       ?>

           <option><?php echo esc_attr($el_category->name); ?></option>

           <?php
                   }
            }

       ?>
       </select>
       <a href="https://sharabindu.com/plugins/product-barcode-generator/" class="pbar_rpro"><?php  esc_html_e('Pro Features', 'product-barcode-generator')?></a>
       <p><em> <?php echo esc_html__('Filter Barcode image based on Category', 'product-barcode-generator') ?></em></p></li>
       <?php
               printf('<li><p><strong><label style="display:inline-block;margin-right:7px">'.esc_html("Enable Border?","product-barcode-generator").'</label></strong><input type="checkbox" class="whmc_apple-switch" ><a href="https://sharabindu.com/plugins/product-barcode-generator/" class="pbar_rpro">'.esc_html__('Pro Features', 'product-barcode-generator').'</a><p><em>'.esc_html('Enable borders around barcodes (frontend and backend)', 'product-barcode-generator').'</p></em></p></li></ul>'); 


           }


           function barcode_color_settings(){

               printf('<strong><label style="display:inine-block;margin-right:10px"> ' . esc_html__('Barcode Color', 'product-barcode-generator') . '</label></strong><input type="text" value="#16267d" disabled>');

               printf('<strong><label  class="prbaclabel"> ' . esc_html__('Background Color', 'product-barcode-generator') . '</label></strong><input type="text"  value="#ddd" disabled>');
           }

           function pbar_title_color()
           {
               $options = get_option('pbarginerator_print_option');
               $value = (isset($options['pbar_title_color'])) ? $options['pbar_title_color'] : '#000';

               $pbarcode_align = isset($options['pbarcode_align']) ? $options['pbarcode_align'] : 'center';

               $pbarcode_inline = isset($options['pbarcode_inline']) ? $options['pbarcode_inline'] : 'block';

               printf('<input type="text" name="pbarginerator_print_option[pbar_title_color]" value="%s" class="qrc-bgcolor-picker">', $value);

               $valueprice = (isset($options['pbar_price_color'])) ? $options['pbar_price_color'] : '#000';
               printf('<strong><label  class="prbaclabel"> ' . esc_html__('Price Color', 'product-barcode-generator') . '</label></strong><input type="text" name="pbarginerator_print_option[pbar_price_color]" value="%s" class="qrc-bgcolor-picker">', $valueprice);

               echo '<p style="margin-top:20px"><strong><label  class="prbaclabel"> ' . esc_html__('Text Alignment(Title & Price)', 'product-barcode-generator') . '</label></strong>';
       ?>
              
               <select name="pbarginerator_print_option[pbarcode_align]">

               <option value="center"  <?php echo esc_attr($pbarcode_align) === 'center' ? 'selected' : '' ?>><?php echo esc_html__('Center', 'product-barcode-generator') ?></option>
               <option value="left"  <?php echo esc_attr($pbarcode_align) === 'left' ? 'selected' : '' ?>><?php echo esc_html__('Left', 'product-barcode-generator') ?></option>
               <option value="right"  <?php echo esc_attr($pbarcode_align) === 'right' ? 'selected' : '' ?>><?php echo esc_html__('Right', 'product-barcode-generator') ?></option>
               </select>

               <strong><label  class="prbaclabel"> <?php echo esc_html__('Display: ', 'product-barcode-generator') ?></label></strong>
               <select name="pbarginerator_print_option[pbarcode_inline]">

               <option value="inline-block"  <?php echo esc_attr($pbarcode_inline) === 'inline-block' ? 'selected' : '' ?>><?php echo esc_html__('Inline', 'product-barcode-generator') ?></option>
               <option value="block"  <?php echo esc_attr($pbarcode_inline) === 'block' ? 'selected' : '' ?>><?php echo esc_html__('Block', 'product-barcode-generator') ?></option>

               </select></p>

       <?php
           }

           function pbarcode_format()
           {

               $options = get_option('pbarginerator_print_option');
               $pbarcode_format = isset($options['pbarcode_format']) ? $options['pbarcode_format'] : 'CODE128';
               if ($pbarcode_format == 'EAN13')
               {

                   $hides = 'inline';
               }
               else
               {

                   $hides = 'none';
               }
               if ($pbarcode_format == 'UPC')
               {

                   $hideasa = 'inline';
               }
               else
               {

                   $hideasa = 'none';
               }
       ?>
               <select name="pbarginerator_print_option[pbarcode_format]" class="pbarcodeen13">

               <option value="CODE128"  <?php echo esc_attr($pbarcode_format) === 'CODE128' ? 'selected' : '' ?>><?php esc_html_e('Auto', 'product-barcode-generator') ?></option>
               <option value="EAN13"  <?php echo esc_attr($pbarcode_format) === 'EAN13' ? 'selected' : '' ?>><?php esc_html_e('EAN13', 'product-barcode-generator') ?></option>
               <option value="UPC"  <?php echo esc_attr($pbarcode_format) === 'UPC' ? 'selected' : '' ?>><?php esc_html_e('UPC (A)', 'product-barcode-generator') ?></option>
               </select>

               <span style="display: <?php echo esc_attr($hides); ?>" class="en13info"><?php esc_html_e(' Sku must have numeric and 13 digit code ', 'pbar_generator') ?><a href="https://boxshot.com/barcode/barcodes/ean-13/check-digit-calculator/"  target="_blank"><?php esc_html_e('EAN-13 Barcode Check Digit', 'pbar_generator') ?></a> | <span style="padding-left:10px"></span> <a href="https://en.wikipedia.org/wiki/International_Article_Number"  target="_blank"><?php esc_html_e('What is EAN13?', 'pbar_generator') ?></a></span>
               
               <span style="display: <?php echo esc_attr($hideasa); ?>"  class="upcinfo"><?php esc_html_e('Sku must have numeric and 12 digit code', 'pbar_generator') ?> <a href="https://boxshot.com/barcode/tutorials/upc-a-calculator/#check-digit-calculator"  target="_blank"><?php esc_html_e('UPC(A) Barcode Check Digit', 'pbar_generator') ?></a> |  <span style="padding-left:10px"></span><a href="https://en.wikipedia.org/wiki/Universal_Product_Code" target="_blank"><?php esc_html_e(' What is UPC(A)?', 'pbar_generator') ?></a></span>
              
       <?php
           }

           function pbarcode_value()
           {

               $options = get_option('pbarginerator_print_option');
               $pbarcode_value = isset($options['pbarcode_value']) ? $options['pbarcode_value'] : 'sku';

               $pbarcode_format = isset($options['pbarcode_format']) ? $options['pbarcode_format'] : 'CODE128';

               if ($pbarcode_format != 'CODE128')
               {

                   $hides = 'none';
                   $hide = 'inline-block';
               }
               else
               {

                   $hides = 'inline-block';
                   $hide = 'none';
               }
       ?>
               <span class="pbarcodeautono" style="display: <?php echo esc_attr($hide); ?>"><?php esc_html_e('SKU', 'product-barcode-generator') ?></span>
               <select name="pbarginerator_print_option[pbarcode_value]"  class="pbarcodeautoyes" style="display: <?php echo esc_attr($hides); ?>">


               <option value="sku"  <?php echo esc_attr($pbarcode_value) === 'sku' ? 'selected' : '' ?>><?php esc_html_e('SKU', 'product-barcode-generator') ?></option>

               <option value="ID"  <?php echo esc_attr($pbarcode_value) === 'ID' ? 'selected' : '' ?>><?php esc_html_e('ID', 'product-barcode-generator') ?></option>
               <option value="title"  <?php echo esc_attr($pbarcode_value) === 'title' ? 'selected' : '' ?>><?php esc_html_e('Title', 'product-barcode-generator') ?></option>
         

               </select>
       <?php
           }

           function pbarcode_capabily()
           {
            ?>

               <select name="pbarginerator_print_option[pbarcode_capabily]">
               <option value="---">---</option>
               <option><?php echo esc_html__('editor', 'product-barcode-generator') ?></option>
               <option><?php echo esc_html__('author', 'product-barcode-generator') ?></option>
               <option><?php echo esc_html__('contributor', 'product-barcode-generator') ?></option>
               <option><?php echo esc_html__('subscriber', 'product-barcode-generator') ?></option>
               <option><?php echo esc_html__('customer', 'product-barcode-generator') ?></option>
               <option><?php echo esc_html__('shop manager', 'product-barcode-generator') ?></option>

               </select><a href="https://sharabindu.com/plugins/product-barcode-generator/" class="pbar_rpro"><?php esc_html_e('Pro Features', 'product-barcode-generator') ?></a>

             <p><em> <?php echo esc_html__('If you add a user role for this page and the print page, select the role and save', 'product-barcode-generator') ?></em></p>  
       <?php
           }


       function barcode_print_setting_labe(){

           echo '<h2>'.esc_html('Print & Download Page Setting (Premium Version)', 'product-barcode-generator').'</h2>';
       }


           function qrc_print_settting_func()
           {
               return true;
           }
           function qr_print_per_page()
           {
               $placeholder = esc_html('Barcode Image Per Page,Display all: -1 ', 'product-barcode-generator');
               printf('<ul class="br_per_page"><li><input type="text"  value="7" placeholder="Barcode Per Page, e.g:10"><a href="https://sharabindu.com/plugins/product-barcode-generator/"  class="pbar_rpro">'.esc_html__('Pro Features', 'product-barcode-generator').'</a><p><em>%s</em></p></li>', $placeholder);

                echo '<li><strong><label  class="prbaclabel"> ' . esc_html__('Order By)', 'product-barcode-generator') . '</label></strong>';


                ?>

                <select >

                <option value="none"><?php echo esc_html__('None', 'product-barcode-generator') ?></option>
                <option value="ID"><?php echo esc_html__('ID  ', 'product-barcode-generator') ?></option>
                <option value="title"><?php echo esc_html__('Title', 'product-barcode-generator') ?></option>
                <option value="date"><?php echo esc_html__('Date', 'product-barcode-generator') ?></option>
                <option value="name"><?php echo esc_html__('Name', 'product-barcode-generator') ?></option>
                </select><a href="https://sharabindu.com/plugins/product-barcode-generator/" class="pbar_rpro"><?php esc_html_e('Pro Features', 'product-barcode-generator') ?></a>
               <p><em> <?php echo esc_html__('Display boarcode as Order By', 'product-barcode-generator') ?></em></p></li><ul>
               <?php



           }
           function barcode_height_set_page()
           {

               printf('<span id="prdemoslider"></span>
                 <input type="range" value="65" min="10" max="150" class="slider" id="barcode_height_set_page"><a href="https://sharabindu.com/plugins/product-barcode-generator/"  class="pbar_rpro">'.esc_html__('Pro Features', 'product-barcode-generator').'</a>');

               echo '<p>' . esc_html('Barcode Image height, e.g: 65', 'product-barcode-generator') . '</p>';

           }
           function qr_print_title_display()
           {
               $options = get_option('pbarginerator_print_option');
               $qr_print_title_display = isset($options['qr_print_title_display']) ? $options['qr_print_title_display'] : '';
               $qr_print_price_display = isset($options['qr_print_price_display']) ? $options['qr_print_price_display'] : '';
       ?>
                   <select name="pbarginerator_print_option[qr_print_title_display]">
                       
                   <option value="yes" <?php echo esc_attr($qr_print_title_display) == 'yes' ? 'selected' : '' ?>><?php esc_html_e('Yes', 'product-barcode-generator'); ?></option>
                   <option value="no" <?php echo esc_attr($qr_print_title_display) == 'no' ? 'selected' : '' ?>><?php esc_html_e('No', 'product-barcode-generator'); ?></option>   

                   </select>


                   <strong><label class="prbaclabel"><?php echo esc_html__('Display Product Price?', 'product-barcode-generator'); ?></label></strong>
                   <select name="pbarginerator_print_option[qr_print_price_display]">
                       
                   <option value="yes" <?php echo esc_attr($qr_print_price_display) == 'yes' ? 'selected' : '' ?>><?php esc_html_e('Yes', 'product-barcode-generator'); ?></option>
                   <option value="no" <?php echo esc_attr($qr_print_price_display) == 'no' ? 'selected' : '' ?>><?php esc_html_e('No', 'product-barcode-generator'); ?></option>   

                   </select>
               <?php
           }

           function qr_print_size()
           {
               $options = get_option('pbarginerator_print_option');
               $options_value = isset($options['qr_print_size_width']) ? $options['qr_print_size_width'] : '';
               $placeholder = esc_html('Input a numeric value, e.g:200', 'product-barcode-generator');
               printf('<input type="text" name="pbarginerator_print_option[qr_print_size_width]" class="regular-text"  value="%s" placeholder="Write a Value">
               <p class="description">%s</p>', $options_value, $placeholder);
           }



       function barcode_enable_print_shtco(){

           printf('<input type="checkbox" class="whmc_apple-switch" ><span style="display:inline-block;margin-right:30px"></span>[pbar-print] <a href="https://sharabindu.com/plugins/product-barcode-generator/" class="pbar_rpro">'.esc_html__('Pro Features', 'product-barcode-generator').'</a><p class="description"><em>'.esc_html('Click to enable shortcodes for frontend', 'product-barcode-generator').'</em></p>');

               }

       function barcode_enable_down_shtco(){


            printf('<input type="checkbox" class="whmc_apple-switch"><span style="display:inline-block;margin-right:30px"></span>[pbar-download] <a href="https://sharabindu.com/plugins/product-barcode-generator/" class="pbar_rpro">'.esc_html__('Pro Features', 'product-barcode-generator').'</a><p class="description"><em>'.esc_html('Click to enable shortcodes for frontend','product-barcode-generator').'</em></p>');

        }

           function pbarginerator_print_option_page_sanitize($input)
           {
               $sanitary_values = array();
               
               if (isset($input['qr_print_title_display']))
               {
                   $sanitary_values['qr_print_title_display'] = ($input['qr_print_title_display']);
               }
               if (isset($input['qr_print_price_display']))
               {
                   $sanitary_values['qr_print_price_display'] = ($input['qr_print_price_display']);
               }

               if (isset($input['qr_print_size_width']))
               {
                   $sanitary_values['qr_print_size_width'] = ($input['qr_print_size_width']);
               }
               if (isset($input['pbarcode_value']))
               {
                   $sanitary_values['pbarcode_value'] = ($input['pbarcode_value']);
               }

               if (isset($input['pbarcode_align']))
               {
                   $sanitary_values['pbarcode_align'] = ($input['pbarcode_align']);
               }
               if (isset($input['pbar_price_color']))
               {
                   $sanitary_values['pbar_price_color'] = ($input['pbar_price_color']);
               }
               if (isset($input['pbar_title_color']))
               {
                   $sanitary_values['pbar_title_color'] = ($input['pbar_title_color']);
               }
               if (isset($input['pbarcode_width']))
               {
                   $sanitary_values['pbarcode_width'] = ($input['pbarcode_width']);
               }
               if (isset($input['pbarcode_format']))
               {
                   $sanitary_values['pbarcode_format'] = ($input['pbarcode_format']);
               }
               if (isset($input['pbarcode_inline']))
               {
                   $sanitary_values['pbarcode_inline'] = ($input['pbarcode_inline']);
               }

               if (isset($input['pbar_title_font']))
               {
                   $sanitary_values['pbar_title_font'] = ($input['pbar_title_font']);
               }
               if (isset($input['pbar_price_font']))
               {
                   $sanitary_values['pbar_price_font'] = ($input['pbar_price_font']);
               }
               return $sanitary_values;
           }
       }